#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	string s;
    cin >> s;
    s+="0";
    int a[s.length()];
    int pr[s.length()];
    for (int i=0; i<s.length();i++) {
        a[i]=0;
    }
    for (int i=1; i<s.length(); i++) {
        if (s[i-1]>s[i]) {
            a[i]=1;
        }
    }
    pr[0]=a[0];
    for (int i=1; i<s.length(); i++) {
        pr[i]=pr[i-1]+a[i];
    }
    int q, l, r;
    cin >> q;
    while (q--) {
        cin >> l >> r;
        int k;
        int x=pr[r-1]-pr[l-1];
        cout << x+1 << endl;
    }


}
